org.eclipse.microprofile.faulttolerance.exceptions

## Class FaultToleranceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.microprofile.faulttolerance.exceptions.FaultToleranceException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  BulkheadException, CircuitBreakerOpenException, FaultToleranceDefinitionException, TimeoutException

    public class FaultToleranceException
    extends RuntimeException

The exception should be thrown when the maximum retries is reached or overall retry duration is reached, circuit breaker is open, timeout occurred. Emily Jiang

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FaultToleranceException()`
`FaultToleranceException(String message)`
`FaultToleranceException(String message, Throwable t)`
`FaultToleranceException(Throwable t)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FaultToleranceException

    public FaultToleranceException()

#### FaultToleranceException

    public FaultToleranceException(Throwable t)

#### FaultToleranceException

    public FaultToleranceException(String message)

#### FaultToleranceException

    public FaultToleranceException(String message,
                                   Throwable t)